/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#    
#    >>Copied from<<
#    ---------------
#    Leafpad - GTK+ based simple text editor
#    Copyright (C) 2004-2005 Tarot Osuji
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TEXPLORE_ABOUT_H
#define TEXPLORE_ABOUT_H

#include<gtk/gtk.h>

/* 
 * @name prog name
 * @version string of program
 * @copyright (c) $year
 * @comments  
 * @authors  list of authors
 * @documenters list of documenters
 * @translator_credits list of translators
 * @logo a GDK pixbuf logo.
 * @return a dialog box, of GTK+2.6.0 version
 * @Creates a toolbar/menubar depending on impl.
 *  UI Manager lives a "ui-manager" property on 
 * g_object_set/get_data() of the menubar widget.
 */

GtkWidget *create_about_dialog(
	const gchar *name,
	const gchar *version,
	const gchar *copyright,
	const gchar *comments,
	const gchar **authors,
	const gchar **documenters,
	const gchar *translator_credits,
	const gchar *website,
	GdkPixbuf *logo);

#endif /* TEXPLORE_ABOUT_H */

