/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include<gtk/gtk.h>
#include "types.h"
#include "table.h"
#include "menu.h"

int main(int argc,char *argv[])
{
  GtkWidget *w,*tbl,*box,*tview,*pane,*scrwin,*mbar;

  gtk_init(&argc,&argv);

  w=gtk_window_new(GTK_WINDOW_TOPLEVEL);
  box=gtk_vbox_new(FALSE,FALSE);
  pane=gtk_hpaned_new();
  tview=type_view_new();
  tbl=create_table(tview);
  scrwin=gtk_scrolled_window_new(NULL,NULL); 
  mbar=create_menu(w);
  

  gtk_container_add(GTK_CONTAINER(w),box);  
  gtk_box_pack_start(GTK_BOX(box),mbar,FALSE,FALSE,0);
  gtk_container_add(GTK_CONTAINER(box),pane);
  gtk_paned_add1(GTK_PANED(pane),tbl);
  gtk_paned_add2(GTK_PANED(pane),scrwin);  
  gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrwin),tview);
  

  
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(scrwin), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  gtk_widget_set_size_request(tbl,200,400);
  gtk_window_set_default_size(GTK_WINDOW(w),500,400);

  gtk_window_set_position(GTK_WINDOW(w),GTK_WIN_POS_CENTER);

  gtk_widget_show_all(w);

  g_signal_connect(G_OBJECT(w),"destroy",G_CALLBACK(gtk_main_quit),NULL);  
  
  gtk_main();
  return 0;
}

/* 
gcc -o texplore main.c types.c -Wall -ggdb `pkg-config gtk+-2.0  --cflags --libs`
*/
