#include<gtk/gtk.h>

void 
list_prop(GType id)
{
  GType *idlist;
  GParamSpec **speclist;
  GSignalQuery query;
  GtkObjectClass *bcls;  
  int n;
  int *ptr;

  /* Signal List */
  ptr=g_signal_list_ids(id,&n);
  while(--n >= 0)
    {
      g_signal_query(ptr[n],&query);
      g_message("Signal ID [%d] Name[%s]\n",query.signal_id,query.signal_name);
    }

  /* Class Member properties */
  bcls=g_type_class_ref(id);
  speclist=g_object_class_list_properties((GObjectClass *)bcls,
					  &n);

  while(--n >= 0){
    g_message("\tpropname=%s Type Name=%s",
	      speclist[n]->name,g_type_name(speclist[n]->value_type));
  }

  n=0;
  idlist=g_type_children(id,&n);

  g_message("Children of %s\n",g_type_name(id));
  while(--n >= 0){
    g_message("\t %s\n",g_type_name(idlist[n]));
  }
  g_free(idlist);
  
  n=0;
  idlist=g_type_interfaces(id,&n);
  g_message("Interfaces of %s\n",g_type_name(id));  
  while(--n >= 0){
    g_message("\t %s\n",g_type_name(idlist[n]));
  }  
  g_free(idlist);
  

  
}

int 
main()
{
  int typeid=0;
  int i=0;
  
  gtk_init(NULL,NULL);

  /* Hierachy of Objects */
  typeid=GTK_TYPE_WIDGET;
  while(g_type_parent(typeid))
  {
       int ptype=g_type_parent(typeid);
       g_message("Parent of %s is %s",
		 g_type_name(typeid), g_type_name(ptype));
       list_prop(typeid);
       typeid=ptype;
  }

  return 0;
}
/*
  gcc -Wall prop.c -o prop `pkg-config --cflags --libs gtk+-2.0`
*/
